
parameters:
    smart_fileupload.image_manager.class: SmartFileUploadBundle\Manager\ImageManager
    smart_fileupload.twig.extension.image.class: SmartFileUploadBundle\Twig\Extension\ImageExtension

services:
    smart_fileupload.image_manager:
        class: "%smart_fileupload.image_manager.class%"
        arguments:
            - "@liip_imagine.cache.manager"

    smart_fileupload.twig.extension.image:
        public: false
        class: "%smart_fileupload.twig.extension.image.class%"
        arguments:
            - "@smart_fileupload.image_manager"
        tags:
            - { name: twig.extension, alias: smart_image }
